%define major 1
%define libxv %mklibname xv %{major}
%define devxv %mklibname xv -d

Name:           libxv
Summary:        The Xv Library
Version:        1.0.13
Release:        %mkrel 2
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{libxv}
Summary:        The Xv Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxv}
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

%files -n %{libxv}
%{_libdir}/libXv.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxv}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxv} = %{version}-%{release}
Provides:       libxv-devel = %{version}-%{release}
Provides:       xv-devel = %{version}-%{release}

%description -n %{devxv}
Development files for %{name}.

%files -n %{devxv}
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h
%{_mandir}/man3/Xv*

#-----------------------------------------------------------

%prep
%setup -q -n libXv-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.0.13-2.mga10
+ Revision: 2233398
- Mageia 10 Mass Rebuild

* Wed Jan 01 2025 daviddavid <daviddavid> 1.0.13-1.mga10
+ Revision: 2134307
- new version: 1.0.13

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.0.12-1.mga9
+ Revision: 1919975
- 1.0.12

* Sat Mar 19 2022 umeabot <umeabot> 1.0.11-4.mga9
+ Revision: 1800506
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.0.11-3.mga8
+ Revision: 1514677
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.11-2.mga7
+ Revision: 1299276
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 1.0.11-1.mga6
+ Revision: 1058896
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.10-5.mga6
+ Revision: 946806
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.10-4.mga5
+ Revision: 749919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.10-3.mga5
+ Revision: 681904
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.10-2.mga4
+ Revision: 534474
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.0.10-1.mga4
+ Revision: 477899
- new release

* Thu Aug 22 2013 wally <wally> 1.0.9-2.mga4
+ Revision: 469331
- drop major from devel pkg name
- drop unneeded requires
- drop ancient conflicts
- drop static devel pkg

* Thu Jun 27 2013 tv <tv> 1.0.9-1.mga4
+ Revision: 447528
- new release

* Mon Jun 03 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 435883
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 397178
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222140
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.6-2.mga2
+ Revision: 170000
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 6225
- imported package libxv


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 590404
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2010.1
+ Revision: 463588
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-3mdv2010.0
+ Revision: 425949
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2009.0
+ Revision: 265013
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 192977
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 153303
- Update BuildRequires and rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.3-1mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 121451
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

